| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
ProcStats::unique_fd Class Reference

## Public Member Functions
| unique_fd (int fd=-1)
| unique_fd (unique_fd &&other)
| ~unique_fd ()
| operator bool () const
template<typename... Args>
unique_fd & | open (Args &&... args)
| unique_fd_forward (lseek) unique_fd_forward(read) unique_fd_forward(write) unique_fd_forward(fcntl) unique_fd_forward(fsync) unique_fd_forward(fchown) unique_fd_forward(stat) int close()

## Private Member Functions
| unique_fd (const unique_fd &)=delete
unique_fd & | operator= (const unique_fd &)=delete

## Private Attributes
int | m_fd

## Detailed Description

Definition at line 58 of file ProcStats.h.

## Constructor & Destructor Documentation

## ◆ unique_fd() [1/3]

ProcStats::unique_fd::unique_fd | ( | const unique_fd & |  | ) |
| private delete

## ◆ unique_fd() [2/3]

ProcStats::unique_fd::unique_fd | ( | int | fd = `-1` | ) |
| inline

Definition at line 64 of file ProcStats.h.

64 : m_fd( fd ) {}
ProcStats::fd
unique_fd fd
Definition: ProcStats.h:94
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## ◆ unique_fd() [3/3]

ProcStats::unique_fd::unique_fd | ( | unique_fd && | other | ) |
| inline

Definition at line 65 of file ProcStats.h.

65 {
66 m_fd = other.m_fd;
67 other.m_fd = -1;
68 }
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## ◆ ~unique_fd()

ProcStats::unique_fd::~unique_fd | ( |  | ) |
| inline

Definition at line 69 of file ProcStats.h.

69 {
70 if ( m_fd != -1 ) ::close( m_fd );
71 }
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## Member Function Documentation

## ◆ open()

template<typename... Args>

unique_fd& ProcStats::unique_fd::open | ( | Args &&... | args | ) |
| inline

Definition at line 75 of file ProcStats.h.

75 {
76 m_fd = ::open( std::forward<Args>( args )... );
77 return *this;
78 }
ProcStats::unique_fd::open
unique_fd & open(Args &&... args)
Definition: ProcStats.h:75
gaudirun.args
args
Definition: gaudirun.py:307
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## ◆ operator bool()

ProcStats::unique_fd::operator bool | ( |  | ) | const
| inline explicit

Definition at line 73 of file ProcStats.h.

73 { return m_fd != -1; }
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## ◆ operator=()

unique_fd& ProcStats::unique_fd::operator= | ( | const unique_fd & |  | ) |
| private delete

## ◆ unique_fd_forward()

ProcStats::unique_fd::unique_fd_forward | ( | lseek |  | ) |
| inline

Definition at line 84 of file ProcStats.h.

87 {
88 auto r = ::close( m_fd );
89 m_fd = -1;
90 return r;
91 }
ProcStats::unique_fd::m_fd
int m_fd
Definition: ProcStats.h:59

## Member Data Documentation

## ◆ m_fd

int ProcStats::unique_fd::m_fd
| private

Definition at line 59 of file ProcStats.h.

The documentation for this class was generated from the following file:

- GaudiAud/src/ProcStats.h